# Conditional build (--with/--without option)
#
# --with aalib		- with aalib video output
# --without alsa	- disable ALSA support
# --with arts		- with aRts support
# --with caca		- with libcaca video output
# --with cdparanoia	- support CDDA reading using cdparanoia
# --with debug		- enable full debugging info
# --with dga		- with DGA video output
# --with directfb	- with DirectFB video output
# --with divx4linux	- with external divx4linux codec (DivX4Linux)
# --without dshow	- disable support for DirectShow codecs
# --without dts		- without DTS codec
# --with dvb		- with DVB video input/output
# --with dvdnav		- enable experimental dvdnav support (NEW)
# --with dxr3		- with DXR3 video output
# --with dynamic_plugins- enable dynamic a/v plugins
# --with esd		- with EsounD support
# --with faac		- with FAAC encoding support
# --with faad2		- with external FAAD2(AAC) codec
# --without fbdev	- without FBDev video output
# --without fontconfig	- disable fontconfig support
# --with fribidi	- with fribidi support
# --without ft2		- disable freetype2 fonts support for OSD and subtitles
# --with ggi		- with GGI video output
# --without gif		- without GIF89a input/output support
# --without gl		- with OpenGL video output
# --without gui		- don't build gui gtk+ interface
# --with jack		- enable JACK support
# --with joystick	- enable joystick support
# --without jpeg	- without JPEG input/output support
# --with ladspa		- enable LADSPA support
# --with libdv		- enable libdv support
# --with lirc		- enable lirc support
# --without live	- enable LIVE555.com library support
# --with lzo		- with external LZO codec
# --with mad		- with MAD support
# --without mga		- disable MGA video output
# --without menu	- disable OSD menu
# --without mpdvdkit	- disable internal mpdvdkit
# --with openal		- with OpenAL audio output
# --with polyp		- with Polypaudio audio output
# --without png		- without PNG input/output support (enabled automatically for GUI)
# --without qt		- disable support for QuickTime codecs
# --without real	- disable support for RealPlayer codecs
# --with sdl		- with SDL video/audio output
# --without select	- disable audio select() support
# --with smb		- enable Samba (libsmbclient) support
# --with speex		- with Speex codec
# --with svga		- with svgalib video output
# --without tdfxfb	- disable tdfxfb video output
# --without theora	- disable Ogg Theora codec
# --with toolame	- with tooLAME codec
# --with twolame	- with TwoLAME codec
# --with vc1		- with reference VC1 decoder from SMPTE
# --without vidix	- without vidix video output
# --with vm		- enable VM switching support
# --with vorbis		- with external Ogg Vorbis codec
# --without win32	- disable support for win32 codecs
# --with x264		- disable x264 encoder
# --without xanim	- disable support for XAnim codecs
# --without xmga	- disable X11 MGA video output
# --with xmms		- enable XMMS input plugins support
# --without xvmc	- without XvMC video output
# --without xvid	- without external xvid codec

%define _with_gl		1
%define _with_arts		1
%define _with_alsa		1
%define _with_esd		1
%define _without_vorbis		1
%define _with_menu		1


%define name mplayer
%define fname MPlayer
%define ver 1.0pre8
%define cvsbuild 20060615

%define release b1

%define cvs 0

%if%{cvs}
%define version %{ver}.%{cvsbuild}
%define fversion %{cvsbuild}
%else
%define version %{ver}
%define fversion %{ver}
%endif

%ifnarch %{ix86}
%define		_without_win32	1
%endif

%if%{!?_without_gui:1}%{?_without_gui:0}
%define		_with_png	1
%endif

%if%{?_without_win32:1}%{!?_without_win32:0}
%define		_without_dshow	1
%define		_without_qt	1
%endif

# The language to use in mplayer, one of : cz de dk en es fr hu nl no pl ro ru
%define	mplang		en

%define _win32_libdir	"/usr/lib/win32"
%define _xanim_libdir	"/usr/lib/xanim"
%define _real_libdir	"/usr/lib/real"

##%define _rh8x	%(grep -q "7." /etc/redhat-release ; echo $?)

Summary: MPlayer - The Movie Player
Name: %{name}
Version: %{version}
Release: %{release}%{?_with_debug:dbg}
Vendor: The MPlayer Project
URL: http://www.mplayerhq.hu
Group: Applications/Multimedia
Source0: http://www2.mplayerhq.hu/MPlayer/releases/%{fname}-%{fversion}.tar.bz2
Source1: gnome-%{name}.png
Source2: g%{name}.desktop
Source3: n019003l.pfb
Source4: http://www1.mplayerhq.hu/MPlayer/Skin/Blue-1.4.tar.bz2
Patch1: %{name}-rpm-cvs.patch
#Patch2: %{name}-rpm-release.patch
%if %{?nightly:0}%{!?nightly:1}
#Patch5: %{name}-lavc.patch
#Patch6: %{name}-gui.patch
Patch7: %{name}-libmpdvdkit2.patch
#Patch8: %{name}-warnings.patch
Patch9: %{name}-loader.patch
Patch10: %{name}-loader-printf.patch
Patch11: %{name}-printf.patch
%endif
Patch13: %{name}-tremor.patch
Patch14: vo_x11_colfix.diff
#Patch15: %{name}-amr.patch
Patch16: %{name}-liba52.patch
Patch17: %{name}-nolame.patch
Patch20: %{name}-vc1.patch
#Patch30: liba52_update.diff
#Patch40: %{name}-ass.patch
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: i586

BuildRequires: libX11-devel
BuildRequires: libXv-devel
BuildRequires: libXinerama-devel
BuildRequires: audiofile-devel
BuildRequires: zlib-devel
%{!?_without_alsa:BuildRequires:	alsa-lib-devel}
%{?_with_arts:BuildRequires:		arts-devel}
%{?_with_aalib:BuildRequires:		aalib-devel}
%{?_with_caca:BuildRequires:		libcaca-devel}
%{?_with_cdparanoia:BuildRequires:	cdparanoia-devel}
%{?_with_directfb:BuildRequires:	directfb-devel}
%{?_with_divx4linux:BuildRequires:	divx4linux-devel}
#%{!?_without_dts:BuildRequires:		libdts-devel}
%{?_with_dxr3:BuildRequires:		em8300-devel}
%{?_with_enca:BuildRequires:		enca-devel}
%{?_with_esd:BuildRequires:		esound-devel}
%{?_with_faac:BuildRequires:		faac-devel}
%{?_with_faad:BuildRequires:		faad2-devel}
%{!?_without_fontconfig:BuildRequires:	fontconfig-devel}
%{?_with_fribidi:BuildRequires:		fribidi-devel}
%{!?_without_ft2:BuildRequires:		freetype-devel}
%{?_with_ggi:BuildRequires:		libggi-devel}
#%{!?_without_gif:BuildRequires:		libungif-devel}
%{!?_without_gl:BuildRequires:		mesa-libGL-devel}
%{!?_without_gui:BuildRequires:		gtk2-devel}
%{?_with_jack:BuildRequires:		jack-devel}
%{!?_without_jpeg:BuildRequires:	libjpeg-devel}
%{?_with_ladspa:BuildRequires:		ladspa-devel}
%{?_with_libdv:BuildRequires:		libdv-devel}
%{?_with_lirc:BuildRequires:		lirc-devel}
#%{!?_without_live:BuildRequires:	live-devel}
%{?_with_lzo:BuildRequires:		lzo-devel}
%{?_with_mad:BuildRequires:		libmad-devel}
%{?_with_openal:BuildRequires:		openal-devel}
%{?_with_polyp:BuildRequires:		polypaudio-devel}
%{?_with_sdl:BuildRequires:		SDL-devel}
%{?_with_smb:BuildRequires:		samba}
%{?_with_speex:BuildRequires:		speex-devel >= 1.1}
%{?_with_svga:BuildRequires:		svgalib-devel}
%{!?_without_png:BuildRequires:		libpng-devel}
#%{!?_without_theora:BuildRequires:	libtheora-devel}
%{?_with_toolame:BuildRequires:		toolame-devel}
%{?_with_twolame:BuildRequires:		twolame-devel}
%{?_with_vorbis:BuildRequires:		libvorbis-devel}
%{?_with_x264:BuildRequires:		x264-devel}
%{?_with_xmms:BuildRequires:		xmms-devel}
#%{!?_without_xvid:BuildRequires:	xvidcore-devel}
%{!?_without_xvmc:BuildRequires:	libXvMC-devel}


%description
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and QuickTime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

%package gui
Group: Applications/Multimedia
Summary: MPlayer with GUI interface
#Requires: %{name} = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-skin-default

%description gui
MPlayer is a movie and animation player that supports a wide range of file
formats, including AVI, MPEG, and QuickTime. It has many MMX/SSE/3Dnow
optimized native audio and video codecs, but allows using XAnim's and
RealPlayer's binary codec plugins, and Win32 codec DLLs. It has basic
VCD/DVD playback functionality, including DVD subtitles, but supports many
text-based subtitle formats too. For video output, nearly every existing
interface is supported. It's also able to convert any supported files to
raw/divx/mpeg4 AVI (pcm/mp3 audio), and even video grabbing from V4L
devices.

This is the GUI version of MPlayer.

%package -n mencoder
Group: Applications/Multimedia
Summary: MEncoder - The Movie Encoder
Requires: mplayer = %{epoch}:%{version}-%{release}

%description -n mencoder
MEncoder a movie encoder for LINUX and is a part of the MPlayer package.

%package vidix
Group: Applications/Multimedia
Summary: VIDeo Interface for *nIX
#Requires: mplayer = %{epoch}:%{version}-%{release}
Obsoletes: mplayer-vidix-3DLabs
Obsoletes: mplayer-vidix-ATI-Mach64
Obsoletes: mplayer-vidix-ATI-Radeon
Obsoletes: mplayer-vidix-ATI-Rage128
Obsoletes: mplayer-vidix-Matrox
Obsoletes: mplayer-vidix-nVidia
Obsoletes: mplayer-vidix-SiS
Obsoletes: mplayer-vidix-S3
Obsoletes: mplayer-vidix-Trident
Obsoletes: mplayer-vidix-VIA

%description vidix
VIDIX is the abbreviation for VIDeo Interface for *niX.
VIDIX was designed and introduced as an interface for fast user-space
drivers providing DGA everywhere where it's possible (unlike X11).
I hope that these drivers will be as portable as X11 (not only on *nix).
* What is it: It's a portable successor of mga_vid technology, but it's
  located in user-space.
* Unlike X11 it provides DGA everywhere it's possible
* Unlike v4l it provides interface for video playback
* Unlike linux's drivers it uses the math library

This package contains drivers for:
* 3DLabs GLINT R3/Permedia3
* ATI Mach64
* ATI Radeon
* ATI Rage128
* Matrox Gxxx series (using BES and CRTC2)
* nVidia chips (experimental)
* SiS chips (experimental)
* S3 Savage chips (experimental)
* Trident Cyberblade i1
* VIA CLE266


%prep
%setup -q -n %{fname}-%{fversion} -a 4
%if%{cvs}
%patch1 -p1 -b .r
%else
#%patch2 -p1 -b .r
%endif
%if %{?nightly:0}%{!?nightly:1}
#%patch5 -p1 -b .lavc
#%{!?_without_gui:%patch6 -p1 -b .gui}
%patch7 -p1 -b .mpdvdkit2
#%patch8 -p1 -b .warn
%patch9 -p1 -b .loader
%patch10 -p1 -b .loader-printf
%patch11 -p1 -b .printf
%endif
%patch13 -p1 -b .tre
%ifarch sparc sparc64
%patch14 -p0 -b .colfix
%endif
#%patch15 -p1 -b .amr
%patch16 -p1 -b .a52
%patch17 -p1 -b .nolame
%if 0%{?_with_vc1:1}
%patch20 -p1 -b .vc1
%endif
#%patch30 -p0 -b .a52u
#%patch40 -p0 -b .ass

%build
%if %{!?_with_debug:1}%{?_with_debug:0}
# this is equivalent to -O3
#" -W -Wfloat-equal"
CFLAGS="-Wall -Wno-uninitialized -Wno-unused-parameter -Wno-unused-variable -Wno-unused-function -Wno-unused-label -Wno-trigraphs -Wno-pointer-sign"
CFLAGS="$CFLAGS $RPM_OPT_FLAGS -ffast-math -finline-functions -funswitch-loops -fgcse-after-reload"
CFLAGS="$CFLAGS -pipe"
%else
CFLAGS=`echo $RPM_OPT_FLAGS | sed -e 's/-O. //' -e 's/-mcpu=.+ //' -e 's/-march=.+ //' -e 's/-mcpu=.+ //'`
%endif
export CFLAGS
LC_MESSAGES=C ; export LC_MESSAGES

# build GUI version
%if %{!?_without_gui:1}%{?_without_gui:0}
./configure \
			--enable-gui --disable-mencoder \
			--prefix=%{_prefix} \
			--bindir=%{_bindir} \
			--libdir=%{_libdir} \
			--datadir=%{_datadir}/%{name} \
			--mandir=%{_mandir} \
			--confdir=%{_sysconfdir}/%{name} \
			--language=%{mplang} \
%{?_with_debug:		--enable-debug=3} \
%ifarch i386
			--enable-runtime-cpudetection \
%endif
%ifarch sparc64
			--with-extralibdir="/lib64:/usr/lib64:/usr/X11R6/lib64" \
%endif
			--enable-largefiles \
%{!?_with_aalib:	--disable-aa} \
%{?_without_alsa:	--disable-alsa} \
%{!?_with_arts:		--disable-arts} \
%{!?_with_caca:		--disable-caca} \
%{!?_with_cdparanoia:	--disable-cdparanoia} \
%{!?_with_dga:		--disable-dga} \
%{?_with_directfb:	--enable-directfb} \
%{!?_with_directfb:	--disable-directfb} \
%{!?_with_divx4linux:	--disable-divx4linux} \
%{?_without_dshow:	--disable-dshow} \
%{?_without_dts:	--disable-libdts} \
%{!?_with_dvb:		--disable-dvb --disable-dvbhead} \
%{?_with_dvdnav:	--enable-dvdnav} \
%{!?_with_dxr3:		--disable-dxr3} \
%{?_with_dynamic_plugins:	--enable-dynamic-plugins} \
%{!?_with_enca:		--disable-enca} \
%{!?_with_esd:		--disable-esd} \
%{!?_with_faac:		--disable-faac} \
%{?_with_faad2:		--disable-internal-faad} \
%{!?_without_fbdev:	--enable-fbdev} \
%{?_without_fbdev:	--disable-fbdev} \
%{?_without_fontconfig:	--disable-fontconfig} \
%{!?_with_fribidi:	--disable-fribidi} \
%{?_without_ft2:	--disable-freetype} \
%{!?_with_ggi:		--disable-ggi} \
%{?_without_gif:	--disable-gif} \
%{?_without_gl:		--disable-gl} \
%{!?_with_jack:		--disable-jack} \
%{?_with_joystick:	--enable-joystick} \
%{!?_with_joystick:	--disable-joystick} \
%{?_without_jpeg:	--disable-jpeg} \
%{!?_with_ladspa:	--disable-ladspa} \
%{!?_with_libdv:	--disable-libdv} \
%{?_with_lirc:		--enable-lirc} \
%{!?_with_lirc:		--disable-lirc} \
%{!?_with_lzo:		--disable-liblzo} \
%{?_without_live:	--disable-live} \
%{!?_with_mad:		--disable-mad} \
%{!?_without_menu:	--enable-menu} \
%{!?_without_mga:	--enable-mga} \
%{?_without_mpdvdkit:	--disable-mpdvdkit} \
%{!?_with_openal:	--disable-openal} \
%{!?_with_polyp:	--disable-polyp} \
%{?_without_qt:		--disable-qtx} \
%{?_without_real:	--disable-real} \
%{!?_without_real:	--with-reallibdir=%{_codecsdir}} \
%{!?_with_sdl:		--disable-sdl} \
%{?_without_select:	--disable-select} \
%{!?_with_smb:		--disable-smb} \
%{!?_with_speex:	--disable-speex} \
%{!?_with_svga:		--disable-svga} \
%{!?_without_tdfxfb:	--enable-tdfxfb} \
%{?_without_theora:	--disable-theora} \
%{!?_with_toolame:	--disable-toolame} \
%{!?_with_twolame:	--disable-twolame} \
%{?_without_vidix:	--disable-vidix} \
%{!?_with_vm:		--disable-vm} \
%{?_with_vorbis:	--disable-internal-tremor} \
%{?_without_win32:	--disable-win32} \
%{!?_without_win32:	--with-win32libdir=%{_codecsdir}} \
%{!?_with_x264:		--disable-x264} \
%{?_without_xanim:	--disable-xanim} \
%{!?_without_xanim:	--with-xanimlibdir=%{_codecsdir}} \
%{!?_without_xmga:	--enable-xmga} \
%{?_with_xmms:		--enable-xmms} \
%{?_without_xvid:	--disable-xvid} \
%{?_without_xvmc:	--disable-xvmc} \
%{!?_without_xvmc:	--enable-xvmc --with-xvmclib=XvMCW}

%{__make} %{?_smp_mflags}
mv -f mplayer gmplayer
%{__make} distclean

echo Here be dragonz warning

%endif

# now build regular version
./configure \
			--prefix=%{_prefix} \
			--bindir=%{_bindir} \
			--libdir=%{_libdir} \
			--datadir=%{_datadir}/%{name} \
			--mandir=%{_mandir} \
			--confdir=%{_sysconfdir}/%{name} \
			--language=%{mplang} \
%{?_with_debug:		--enable-debug=3} \
%ifarch i386
			--enable-runtime-cpudetection \
%endif
%ifarch sparc64
			--with-extralibdir=/lib64:/usr/lib64:/usr/X11R6/lib64 \
%endif
			--enable-largefiles \
%{!?_with_aalib:	--disable-aa} \
%{?_without_alsa:	--disable-alsa} \
%{!?_with_arts:		--disable-arts} \
%{!?_with_caca:		--disable-caca} \
%{!?_with_cdparanoia:	--disable-cdparanoia} \
%{!?_with_dga:		--disable-dga} \
%{?_with_directfb:	--enable-directfb} \
%{!?_with_directfb:	--disable-directfb} \
%{!?_with_divx4linux:	--disable-divx4linux} \
%{?_without_dshow:	--disable-dshow} \
%{?_without_dts:	--disable-libdts} \
%{!?_with_dvb:		--disable-dvb} \
%{?_with_dvdnav:	--enable-dvdnav} \
%{!?_with_dxr3:		--disable-dxr3} \
%{?_with_dynamic_plugins:	--enable-dynamic-plugins} \
%{!?_with_enca:		--disable-enca} \
%{!?_with_esd:		--disable-esd} \
%{!?_with_faac:		--disable-faac} \
%{?_with_faad2:		--disable-internal-faad} \
%{!?_without_fbdev:	--enable-fbdev} \
%{?_without_fbdev:	--disable-fbdev} \
%{?_without_fontconfig:	--disable-fontconfig} \
%{!?_with_fribidi:	--disable-fribidi} \
%{?_without_ft2:	--disable-freetype} \
%{!?_with_ggi:		--disable-ggi} \
%{?_without_gif:	--disable-gif} \
%{?_without_gl:		--disable-gl} \
%{!?_with_jack:		--disable-jack} \
%{?_with_joystick:	--enable-joystick} \
%{!?_with_joystick:	--disable-joystick} \
%{?_without_jpeg:	--disable-jpeg} \
%{!?_with_ladspa:	--disable-ladspa} \
%{!?_with_libdv:	--disable-libdv} \
%{?_with_lirc:		--enable-lirc} \
%{!?_with_lirc:		--disable-lirc} \
%{!?_with_lzo:		--disable-liblzo} \
%{?_without_live:	--disable-live} \
%{!?_with_mad:		--disable-mad} \
%{!?_without_menu:	--enable-menu} \
%{!?_without_mga:	--enable-mga} \
%{?_without_mpdvdkit:	--disable-mpdvdkit} \
%{!?_with_openal:	--disable-openal} \
%{!?_with_polyp:	--disable-polyp} \
%{?_without_qt:		--disable-qtx} \
%{?_without_real:	--disable-real} \
%{!?_without_real:	--with-reallibdir=%{_codecsdir}} \
%{!?_with_sdl:		--disable-sdl} \
%{?_without_select:	--disable-select} \
%{!?_with_smb:		--disable-smb} \
%{!?_with_svga:		--disable-svga} \
%{!?_without_tdfxfb:	--enable-tdfxfb} \
%{?_without_theora:	--disable-theora} \
%{!?_with_toolame:	--disable-toolame} \
%{!?_with_twolame:	--disable-twolame} \
%{?_without_vidix:	--disable-vidix} \
%{!?_with_vm:		--disable-vm} \
%{?_with_vorbis:	--disable-internal-tremor} \
%{?_without_win32:	--disable-win32} \
%{!?_without_win32:	--with-win32libdir=%{_codecsdir}} \
%{!?_with_x264:		--disable-x264} \
%{?_without_xanim:	--disable-xanim} \
%{!?_without_xanim:	--with-xanimlibdir=%{_codecsdir}} \
%{!?_without_xmga:	--enable-xmga} \
%{?_with_xmms:		--enable-xmms} \
%{?_without_xvid:	--disable-xvid} \
%{?_without_xvmc:	--disable-xvmc} \
%{!?_without_xvmc:	--enable-xvmc --with-xvmclib=XvMCW}

%{__make} %{?_smp_mflags}

%if%{cvs}
# build HTML documentation from XML files
pushd DOCS/xml
%{__make} html-chunked
popd
%endif

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
find . -name CVS | xargs rm -rf
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install

# install configs
install -d $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_sysconfdir}/%{name}}
sed -e 's/include =.*//' < etc/example.conf | sed -e 's/fs=yes/# fs=yes/' >$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/mplayer.conf
# use Nimbus Sans L font for OSD (via fontconfig)
echo "fontconfig=yes" >>$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/mplayer.conf
echo "font=\"Nimbus Sans L\"" >>$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/mplayer.conf
install -m 644 etc/input.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
%if%{!?_without_menu:1}%{?_without_menu:0}
install -m 644 etc/menu.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
%endif

# add mencoder.1 man-link
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/mencoder.1
echo ".so mplayer.1" > $RPM_BUILD_ROOT%{_mandir}/man1/mencoder.1

# fix up manpage encoding for newer distros
iconv -fiso8859-2 -tutf-8 DOCS/man/en/mplayer.1 >$RPM_BUILD_ROOT%{_mandir}/man1/mplayer.1

# install international manpages and man-links
for dir in cs de es fr hu it pl sv zh ; do
	install -d $RPM_BUILD_ROOT%{_mandir}/$dir/man1
	case $dir in
		bg)		ENC=CP1251 ;;
		cs|pl|hu)	ENC=iso8859-2 ;;
		ru)		ENC=KOI8-R ;;
		uk)		ENC=KOI8-U ;;
		zh)		ENC=gbk ;;
		*)		ENC=iso8859-1 ;;
	esac
	iconv -f$ENC -tutf-8 DOCS/man/$dir/mplayer.1 >$RPM_BUILD_ROOT%{_mandir}/$dir/man1/mplayer.1
	rm -f $RPM_BUILD_ROOT%{_mandir}/$dir/man1/mencoder.1
	echo ".so mplayer.1" > $RPM_BUILD_ROOT%{_mandir}/$dir/man1/mencoder.1
done

# include skin, icon and menu entry if building with GUI
%if%{!?_without_gui:1}%{?_without_gui:0}
install -m 755 g%{name} $RPM_BUILD_ROOT%{_bindir}/
##install -d $RPM_BUILD_ROOT{%{_sysconfdir}/X11/applnk/Multimedia,%{_datadir}/pixmaps}
install -d $RPM_BUILD_ROOT{/usr/share/applications,%{_datadir}/pixmaps}
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/
##install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/
install %{SOURCE2} $RPM_BUILD_ROOT/usr/share/applications/

install -d $RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/default
install -m 644 Blue/{*.{png,fnt},skin} $RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/default
%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post vidix -p /sbin/ldconfig

%postun vidix -p /sbin/ldconfig

%files
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_bindir}/mplayer
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/mplayer.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/input.conf
%if%{!?_without_menu:1}%{?_without_menu:0}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/menu.conf
%endif
# some useful tech docs
#%doc DOCS/tech/hwac3.txt DOCS/tech/mpsub.sub DOCS/tech/slave.txt
#%doc DOCS/tech/subcp.txt
%{?_with_dvdnav:%doc mplayer-dvdnav-patch/dvdnav.txt}
# HTML and XML-generated docs
#%doc DOCS/HTML/en
#%lang(de) %doc %dir DOCS/HTML/de
#%lang(es) %doc %dir DOCS/HTML/es
#%lang(fr) %doc %dir DOCS/HTML/fr
#%lang(hu) %doc %dir DOCS/HTML/hu
#%lang(it) %doc %dir DOCS/it
#%lang(pl) %doc %dir DOCS/HTML/pl
#%lang(ru) %doc %dir DOCS/HTML/ru
#%lang(zh) %doc %dir DOCS/zh
# manpages
%{_mandir}/man1/*
#%lang(cs) %{_mandir}/cs/man1/*
#%lang(de) %{_mandir}/de/man1/*
#%lang(es) %{_mandir}/es/man1/*
#%lang(fr) %{_mandir}/fr/man1/*
#%lang(hu) %{_mandir}/hu/man1/*
#%lang(it) %{_mandir}/it/man1/*
#%lang(pl) %{_mandir}/pl/man1/*
#%lang(sv) %{_mandir}/sv/man1/*
#%lang(zh) %{_mandir}/zh/man1/*
%dir %{_datadir}/%{name}

%if%{!?_without_gui:1}%{?_without_gui:0}
%files gui
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_bindir}/gmplayer
%{_datadir}/pixmaps/gnome-%{name}.png
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/mplayer/Skin/default
%endif

%files -n mencoder
%defattr(0644,root,root,0755)
#%doc DOCS/tech/encoding-tips.txt DOCS/tech/swscaler_filters.txt
#%doc DOCS/tech/swscaler_methods.txt DOCS/tech/colorspaces.txt
%attr(755,root,root) %{_bindir}/mencoder

%if%{?_without_vidix:0}%{!?_without_vidix:1}
%files vidix
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_libdir}/libdha.so.*
%dir %{_libdir}/mplayer/vidix
%attr(755,root,root) %{_libdir}/%{name}/vidix/*.so
%endif


##
## Change log
##

%changelog
* Thu Jun 15 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0pre8
* Wed Oct 19 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0pre7try2
* Tue Jul 19 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0pre7
* Thu Dec 30 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0pre6a
* Thu Dec 16 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0pre5try2
* Thu Jul 15 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0pre5
* Sat May 1 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0pre4
* Fri Apr 9 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0pre3try2
* Fri Feb 20 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed KDE Menu for KDE-3.2
- Support ALSA
* Wed Dec 10 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0pre3
* Wed Oct 8 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0pre2
* Fri Sep 5 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0pre1
* Fri Aug 15 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 0.91
* Fri Apr 25 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from MPLAYERHQ.HU
- mplayer-0.90-1.src.rpm
